## wvstreams 4.6.1

=== Makefile ===
WVSTREAMS:=.

include wvrules.mk
include install.mk

ifdef _WIN32
    include win32.mk
endif

ifdef _SOLARIS
    RM = rm -f
    CFLAGS += -DSOLARIS
    CXXFLAGS += -DSOLARIS
else 
    ifdef _MACOS
    	CFLAGS+= -DMACOS
    	CXXFLAGS+= -DMACOS
    	WV_EXCLUDES+= linuxstreams/tests/aliastest linuxstreams/tests/ifctest linuxstreams/tests/routetest qt/tests/qtstringtest
    	TEST_SKIP_OBJS+= linuxstreams/t/%
    else
    	RM = rm -fv
    endif 
endif

%: %.subst
	sed -e 's/#VERSION#/$(WVPACKAGE_VERSION)/g' < $< > $@

ifeq ("$(enable_testgui)", "no")
  WVTESTRUN=env
endif

LIBS += -lm

ifeq ($(USE_WVSTREAMS_ARGP),1)
  utils/wvargs.o-CPPFLAGS += -Iargp
  libwvutils.so-LIBS += -Largp -largp

# argp does its own dependency checking, so let's call it once per wvstreams
# build, in case some system dependencies have changed and argp should be
# recompiled
  ARGP_TARGET=argp/libargp.list
  TARGETS += $(ARGP_TARGET)
.PHONY: argp/all
argp/all:
	$(MAKE) -C argp
# Warning!  Crucial!  KEEP THIS SEMICOLON HERE!  Without it, if you blow away
# $(ARGP_TARGET), $(MAKE) will get confused.
$(ARGP_TARGET): argp/all;
else
  ARGP_TARGET=
endif

#
# libwvbase: a the minimal code needed to link a wvstreams program.
#
BASEOBJS = \
	utils/wvbuffer.o utils/wvbufferstore.o \
	utils/wvcont.o \
	utils/wverror.o \
	streams/wvfdstream.o \
	utils/wvfork.o \
	utils/wvhash.o \
	utils/wvhashtable.o \
	utils/wvlinklist.o \
	utils/wvmoniker.o \
	utils/wvregex.o \
	utils/wvscatterhash.o utils/wvsorter.o \
	utils/wvattrs.o \
	utils/wvstring.o utils/wvstringlist.o \
	utils/wvstringmask.o \
	utils/strutils.o \
	utils/wvtask.o \
	utils/wvtimeutils.o \
	streams/wvistreamlist.o \
	utils/wvstreamsdebugger.o \
	streams/wvlog.o \
	streams/wvstream.o \
	uniconf/uniconf.o \
	uniconf/uniconfgen.o uniconf/uniconfkey.o uniconf/uniconfroot.o \
	uniconf/unihashtree.o \
	uniconf/unimountgen.o \
	uniconf/unitempgen.o \
	utils/wvbackslash.o \
	utils/wvencoder.o \
	utils/wvtclstring.o \
	utils/wvstringcache.o \
	uniconf/uniinigen.o \
	uniconf/unigenhack.o \
	uniconf/unilistiter.o \
	streams/wvfile.o \
	streams/wvstreamclone.o  \
	streams/wvconstream.o \
	utils/wvcrashbase.o \
	xplc-cxx/factory.o \
	xplc-cxx/getiface.o \
	xplc-cxx/strtouuid.o \
	xplc-cxx/uuidtostr.o \
	xplc-cxx/xplc.o \
	xplc/category.o \
	xplc/catiter.o \
	xplc/catmgr.o \
	xplc/loader.o \
	xplc/moduleloader.o \
	xplc/modulemgr.o \
	xplc/monikers.o \
	xplc/new.o \
	xplc/servmgr.o \
	xplc/statichandler.o 

TARGETS += libwvbase.so
libwvbase_OBJS += $(filter-out uniconf/unigenhack.o $(WV_EXCLUDES),$(BASEOBJS))
libwvbase.so: $(libwvbase_OBJS) uniconf/unigenhack.o
libwvbase.so-LIBS += $(LIBXPLC)

#
# libwvutils: handy utility library for C++
#
TARGETS += libwvutils.so
TESTS += $(call tests_cc,utils/tests)
libwvutils_OBJS += $(filter-out $(BASEOBJS) $(TESTOBJS),$(call objects,utils))
libwvutils.so: $(libwvutils_OBJS) $(LIBWVBASE) $(ARGP_TARGET)
ifndef _MACOS
libwvutils.so-LIBS += -lz -lcrypt $(LIBS_PAM)
else
libwvutils.so-LIBS += -lz $(LIBS_PAM)
endif

utils/tests/%: PRELIBS+=$(LIBWVSTREAMS)

#
# libwvstreams: stream/event handling library
#
TARGETS += libwvstreams.so
TARGETS += crypto/tests/ssltest ipstreams/tests/unixtest
TARGETS += crypto/tests/printcert

ifndef _MACOS
  ifneq ("$(with_readline)", "no")
    TARGETS += ipstreams/tests/wsd
    ipstreams/tests/wsd-LIBS += -lreadline
  else
    TEST_SKIP_OBJS += ipstreams/tests/wsd
  endif
else
  TEST_SKIP_OBJS += ipstreams/tests/wsd
endif

TESTS += $(call tests_cc,configfile/tests)
TESTS += $(call tests_cc,streams/tests)
TESTS += $(call tests_cc,ipstreams/tests)
TESTS += $(call tests_cc,crypto/tests)
TESTS += $(call tests_cc,urlget/tests)
TESTS += $(call tests_cc,linuxstreams/tests)
libwvstreams_OBJS += $(filter-out $(BASEOBJS), \
	$(call objects,configfile crypto ipstreams \
		$(ARCH_SUBDIRS) streams urlget))
libwvstreams.so: $(libwvstreams_OBJS) $(LIBWVUTILS)
libwvstreams.so-LIBS += -lz -lssl -lcrypto $(LIBS_PAM)
configfile/tests/% streams/tests/% ipstreams/tests/% crypto/tests/% \
  urlget/tests/% linuxstreams/tests/%: PRELIBS+=$(LIBWVSTREAMS)

#
# libuniconf: unified configuration system
#
TARGETS += libuniconf.so
TARGETS += uniconf/daemon/uniconfd uniconf/tests/uni
TESTS += $(call tests_cc,uniconf/tests) uniconf/tests/uni
libuniconf_OBJS += $(filter-out $(BASEOBJS) uniconf/daemon/uniconfd.o, \
	$(call objects,uniconf uniconf/daemon))
libuniconf.so: $(libuniconf_OBJS) $(LIBWVSTREAMS)
uniconf/daemon/uniconfd uniconf/tests/uni: $(LIBUNICONF)
uniconf/daemon/uniconfd: uniconf/daemon/uniconfd.o $(LIBUNICONF)
uniconf/daemon/uniconfd: uniconf/daemon/uniconfd.ini \
          uniconf/daemon/uniconfd.8
uniconf/tests/%: PRELIBS+=$(LIBUNICONF)

#
# libwvdbus: C++ DBus library based on wvstreams
#
ifneq ("$(with_dbus)", "no")
  TARGETS += libwvdbus.so
  TARGETS += dbus/tests/wvdbus dbus/tests/wvdbusd
  TESTS += $(call tests_cc,dbus/tests)
  libwvdbus_OBJS += $(call objects,dbus)
  libwvdbus.so: $(libwvdbus_OBJS) $(LIBWVSTREAMS)
  libwvdbus.so-LIBS += $(LIBS_DBUS)
  dbus/tests/wvdbus-LIBS += $(LIBS_DBUS)
  dbus/tests/wvdbusd-LIBS += $(LIBS_DBUS)
  dbus/tests/%: PRELIBS+=$(LIBWVDBUS)
else
  TEST_SKIP_OBJS += dbus/t/%
endif

#
# libwvqt: helper library to make WvStreams work better in Qt event loops
#          This is not made to work with MacOS, so let's not ask it to.
ifndef _MACOS
ifneq ("$(with_qt)", "no")
  TARGETS += libwvqt.so
  TESTS += $(patsubst %.cc,%,$(wildcard qt/tests/*.cc))
  libwvqt_OBJS += $(call objects,qt)
  libwvqt.so: $(libwvqt_OBJS) $(LIBWVSTREAMS)
  libwvqt.so-LIBS += $(LIBS_QT)
  qt/tests/%: PRELIBS+=$(LIBWVQT)

  qt/wvqtstreamclone.o: include/wvqtstreamclone.moc
  qt/wvqthook.o: include/wvqthook.moc
endif
endif
#
# libwvstatic.a: all the wvstreams libraries in one static .a file, to make
# it easy to link your programs statically to wvstreams.
#
TARGETS += libwvstatic.a
libwvstatic.a: \
	$(libwvbase_OBJS) \
	$(libwvutils_OBJS) \
	$(libwvstreams_OBJS) \
	$(libuniconf_OBJS) \
	$(libwvdbus_OBJS) \
	$(libwvqt_OBJS) \
	uniconf/unigenhack_s.o \
	$(ARGP_TARGET)

#
# libwvtest: the WvTest tools for writing C++ unit tests
#
TARGETS += wvtestmain.o libwvtest.a
TESTOBJS = utils/wvtest.o
libwvtest.a: wvtestmain.o $(TESTOBJS)

TARGETS_SO = $(filter %.so,$(TARGETS))
TARGETS_A = $(filter %.a,$(TARGETS))

all: config.mk $(filter-out $(WV_EXCLUDES), $(TARGETS))

TESTS += wvtestmain

REAL_TESTS = $(filter-out $(TEST_SKIP_OBJS), $(TESTS))
$(addsuffix .o,$(REAL_TESTS)):
tests: $(REAL_TESTS)

test: all autodep-test tests qtest

qtest: all wvtestmain
	LD_LIBRARY_PATH="$(LD_LIBRARY_PATH):$(shell pwd)" $(WVTESTRUN) $(MAKE) runtests

runtests:
	$(VALGRIND) ./wvtestmain '$(TESTNAME)'
ifeq ("$(TESTNAME)", "")
	cd uniconf/tests && DAEMON=0 ./unitest.sh
	cd uniconf/tests && DAEMON=1 ./unitest.sh
endif


TEST_TARGETS = 	$(filter-out $(TEST_SKIP_OBJS), $(call objects, $(filter-out win32/%, \
		$(shell find . -type d -name t | sed 's,^\./,,'))))

wvtestmain-LIBS += $(LIBS) $(LIBS_DBUS) 
wvtestmain: $(TEST_TARGETS) $(LIBWVDBUS) $(LIBUNICONF) $(LIBWVSTREAMS) $(LIBWVTEST)

# self test for wvrules.mk autodependencies, since people keep @$@#! breaking
# them.
autodep-prog: autodep-prog.o
autodep-test:
	rm -f autodep-prog*
	echo 'int main() { return 0; }' >autodep-prog-stupid.cc
	( \
		echo '#include "autodep-prog.h"'; \
		echo 'int main() { return AUTODEP_VAL; }'; \
	) >autodep-prog.cc
	echo '#define AUTODEP_VAL 0' >autodep-prog.h
	$(MAKE) autodep-prog
	$(MAKE) autodep-prog-stupid
	if ! ./autodep-prog; then exit 1; fi  # should return 0 == ok
	sleep 1  # ensure timestamp has changed
	echo '#define AUTODEP_VAL 1' >autodep-prog.h
	$(MAKE) autodep-prog
	$(MAKE) autodep-prog-stupid
	if ./autodep-prog; then exit 1; fi  # should return 1 == not-ok
	rm -f autodep-prog.h
	sleep 1  # ensure timestamp has changed
	echo 'int main() { return 0; }' >autodep-prog.cc
	$(MAKE) autodep-prog  # autodep should recover from missing header
	$(MAKE) autodep-prog-stupid
	if ! ./autodep-prog; then exit 1; fi  # should return 0 == ok
	rm -f autodep-prog*

distclean: clean
	rm -f uniconf/daemon/uniconfd.8 uniconf/tests/uni
	rm -f config.mk config.log config.status \
		include/wvautoconf.h config.cache \
		stamp-h.in 
	rm -rf autom4te.cache
	rm -rf argp/autom4te.cache
	rm -rf argp/config.status argp/config.log
	rm -rf argp/configure.lineno argp/config.h
	rm -rf argp/Makefile argp/testsuite/Makefile
	rm -rf argp/testsuite/ex1 argp/testsuite/ex2 argp/testsuite/ex3
	rm -rf argp/libargp.a argp/stamp-h1
	rm -f pkgconfig/*.pc

clean:
	$(subdirs)
	@$(RM) .junk $(TARGETS) uniconf/daemon/uniconfd \
		$(TESTS) tmp*.ini uniconf/daemon/uniconfd.ini \
		.wvtest-total \
		$(shell find . -name '*.o' -o -name '.*.d' \
			-o -name '*~' -o -name '*.moc')
		
clean-targets:
	$(RM) $(TARGETS)
	
clean-tests:
	$(RM) $(TESTS)

kdoc:
	kdoc -f html -d Docs/kdoc-html --name wvstreams --strip-h-path */*.h

doxygen:
	doxygen

.PHONY: \
	clean distclean \
	kdoc doxygen \
	install install-shared install-dev uninstall \
	tests test

debug-make:
	@echo tests: $(TESTS)
	@echo real_tests: $(REAL_TESTS)
	@echo skip_tests: $(TEST_SKIP_OBJS)
	@echo excluded_items: $(WV_EXCLUDES)
	@echo targets: $(TARGETS)

=== Docs/sgmlmanual/Makefile ===

default: includes wvstreams.verify

all: includes wvstreams.verify wvstreams.html wvstreams.ps wvstreams.pdf

html: wvstreams.sgml wvstreams.html
ps: wvstreams.ps
pdf: wvstreams.pdf
rtf: wvstreams.rtf

IMGFILES=$(shell [ -d img ] && find img -type f)

ALL_WVSGML=$(shell /bin/ls *.wvsgml 2>/dev/null)

%.verify: %.sgml
	# Syntax check
	nsgmls $< >/dev/null
	# Syntax check passed

%.sgml: %.wvsgml *.m4 $(ALL_WVSGML) Makefile
	@echo Preprocessing $< to $@...
	@M4PATH=egfiles:../weaver/src m4 sgmlmacros.m4 $< | awk '			\
		BEGIN {					\
			paropen = 0;			\
			parready = 0;			\
			disabled = 0;			\
			autopunc = 0;			\
		}					\
							\
 		/^[ 	]*--AUTOPUNC--[ 	]*$$/ {	\
			autopunc = !autopunc;		\
			next;				\
		}					\
							\
 		/^[ 	]*--SNIP--[ 	]*$$/ {		\
			disabled = !disabled;		\
			next;				\
		}					\
							\
							\
		(autopunc==1) {				\
			gsub("&", "\\&amp;");		\
			gsub("<", "\\&lt;");		\
			gsub(">", "\\&gt;");		\
		}					\
							\
		parready && !disabled && !paropen && /^[ 	]*[-A-Za-z0-9]/ {	\
			print "<para>";			\
			print;				\
			parready = 0;			\
			paropen = 1;			\
			next;				\
		}					\
							\
		paropen && !disabled && !parready && /^[ 	]*$$/ {	\
			print "</para>";		\
			print;				\
			parready = 1;			\
			paropen = 0;			\
			next;				\
		}					\
							\
		/^[ 	]*$$/ {				\
			parready = 1;			\
		}					\
							\
		{ print; }				\
		' | cat -s >$@

%.html: %.sgml HTML.dsl ${IMGFILES}
	${MAKE} dirimages
	rm -rf $@ $*.html.tmp
	mkdir -p $*.html.tmp
	# Copy only the required .gif files
	set -e; \
	for d in $$(grep '"[^"]*\.gif"' $*.sgml \
			| sed 's,^.*"img/\([^"]*\.gif\)".*$$,\1,'); \
	do \
		mkdir -p "$*.html.tmp/img/$$(dirname $$d)"; \
		${MAKE} img.tmp/$$d; \
		cp -v img.tmp/$$d $*.html.tmp/img/$$d; \
	done
	# Generate html
	cd $*.html.tmp && jade -t sgml -d ../HTML.dsl ../$*.sgml
	mv $*.html.tmp $@

%.rtf: %.sgml ${IMGFILES}
	$(MAKE) dirimages htmlimages
	rm -f $@
	jade -t rtf -o $*.rtf.tmp \
		-d /usr/lib/sgml/stylesheet/dsssl/docbook/nwalsh/print/docbook.dsl $<
	cat $*.rtf.tmp | sed 's,"img/\(.*\)\.[^.]*","img.tmp/\1.gif",g' >$@
	rm -f $*.rtf.tmp

%.tex: %.sgml
	rm -f $@
	jade -t tex -o $*.tex.tmp \
		-d /usr/lib/sgml/stylesheet/dsssl/docbook/nwalsh/print/docbook.dsl $<
	cat $*.tex.tmp | sed 's,{img/\(.*\)\.[^.]*},{img.tmp/\1.eps},g' >$@
	rm -f $*.tex.tmp

%.dvi: jadetex.fmt %.tex ${IMGFILES}
	${MAKE} teximages
	jadetex $*.tex </dev/null >/dev/null # generate .aux files for xrefs
	jadetex $*.tex </dev/null >/dev/null # actually generate output
	jadetex $*.tex </dev/null >/dev/null # actually generate output

%.ps: %.dvi
	dvips -q -o $@ $< </dev/null

%.pdf: %.ps
	ps2pdf $<

img.tmp:
	rm -rf img.tmp
	mkdir img.tmp

img.tmp/%: img/% img.tmp
	cp $< $@
	
img.tmp/%.eps: img.tmp/%.ps
	cp $< $@

img.tmp/%.pnm: img.tmp/%.gif
	giftopnm $< >$@

img.tmp/%.eps img.tmp/%.ps: img.tmp/%.pnm
	pnmtops -dpi 100 -width 350 $< >$@

img.tmp/%.gif: img.tmp/%.ppm
	ppmtogif -interlace $< >$@

img.tmp/%.ppm: img.tmp/%.ps
	gs -q -dNOPAUSE -sDEVICE=ppm -r75x75 -sOutputFile=$@ $< -c quit

includes: $(shell grep 'include(.*)' $(ALL_WVSGML) </dev/null | sed 's/^.*include(\(.*\)).*$$/\1/')
	
images: htmlimages teximages

dirimages:
	mkdir -p . $$([ -d img ] && find img -type d | sed 's,^img/,img.tmp/,')

# create .eps from all image types
teximages: dirimages
	${MAKE} null $$([ -d img ] && find img -type f \
			| sed 's,img/\(.*\)\.[^.]*$$,img.tmp/\1.eps,')

# create .gif from all image types			
htmlimages: dirimages
	${MAKE} null $$([ -d img ] && find img -type f \
			| sed 's,img/\(.*\)\.[^.]*$$,img.tmp/\1.gif,')

null:

jadetex.fmt:
	tex -ini -progname=jadetex \&latex jadetex.ini </dev/null >/dev/null


clean:
	$(MAKE) -C egfiles clean
	rm -f *~ *.fmt *.tex *.ps *.pdf *.dvi *.aux *.log *.rtf HTML.manifest
	rm -rf *.html *.tmp
	rm -f $$(echo "$(ALL_WVSGML)" | sed 's/\.wvsgml/.sgml/g')

=== uniconf/gremlin/Makefile ===
include ${TOPDIR}/wvrules.mk

XPATH=${TOPDIR}/src/wvstreams/include

all: rungremlin

LIBS=-lstdc++
rungremlin: $(LIBUNICONF) unigremlin.o

=== Docs/sgmlmanual/egfiles/Makefile ===
#Remember to set TOPDIR to a directory containing wvrules.mk!
ifeq ($(TOPDIR),)
TOPDIR=../../..
WVSTREAMS_SRC=$(TOPDIR)
endif

STATIC=1

include $(TOPDIR)/wvrules.mk

LIBS=-L$(TOPDIR) -lwvstreams -lwvutils -lcrypto 
XPATH=$(TOPDIR)/include

LD_LIBRARY_PATH+=:$(TOPDIR)
export LD_LIBRARY_PATH

PROGS = $(shell echo *.cc | sed 's/\.cc//g')

default: all

all: $(PROGS)

$(PROGS): $(XFILES)

clean:
	rm -f $(PROGS)

=== debian/changelog ===
wvstreams (4.6.1-7) unstable; urgency=low

  * QA upload.
  * Don't build-conflict with valgrind; pass --without-valgrind to the
    configure script instead.
  * Regenerate the configure script from source at build time. Build-depend on
    autoconf.
  * Patch the configure script to make it possible to disable readline.
  * Disable readline support (closes: #725858).
  * Bump debhelper compatibility level to 7.
    + Update minimum required debhelper version in Build-Depends accordingly.
  * Improve debian/rules:
    + Use “chmod a-x” instead of “chmod -x”.
    + Don't ignore errors from rm.
    + Don't remove the .pc directory in the clean target.
    + Copy config.sub and config.guess unconditionally.
    + Use “dh_prep” instead of “dh_clean -k”.
  * Improve patches:
    + Add patch headers.
    + Split 05_gcc.diff into two patches:
      - 08_openssl-1.0.diff, to fix FTBFS with OpenSSL 1.0;
      - 09_glibc-2.12.diff, to fix FTBFS with glibc 1.12.
  * Fix a typo.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 31 Oct 2013 16:10:21 +0100

wvstreams (4.6.1-6) unstable; urgency=low

  * QA upload.
  * Suggest tk8.5 instead of tk8.4.
  * Build using hardening flags.
  * Enable verbose build.
  * debian/control: Remove Homepage attribute, doesn't exist anymore.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Mar 2013 11:51:08 -0700

wvstreams (4.6.1-5) unstable; urgency=low

  * QA upload.
  * Disable some gcc-4.7 optimization flags to fix wrong magic_number bug.
    Thanks to Peter Drysdale <drysdalepete@gmail.com>. (Closes: #674006) 
  * Disable parallel build.
  * Add Build-Depends: graphviz.

 -- Johann Felix Soden <johfel@debian.org>  Fri, 13 Jul 2012 00:39:24 +0200

wvstreams (4.6.1-4) unstable; urgency=low

  * QA upload.
  * Remove Qt3 support. (Closes: #604389)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 18 May 2012 21:38:56 +0200

wvstreams (4.6.1-3) unstable; urgency=low

  * QA upload.
  * Fix "ftbfs with GCC-4.7": add patch 06_gcc-4.7.diff from Paul Tagliamonte
    (missing include).
    (Closes: #667418)

 -- gregor herrmann <gregoa@debian.org>  Fri, 20 Apr 2012 13:16:59 +0200

wvstreams (4.6.1-2) unstable; urgency=low

  * QA upload.
  * Switch to format 3.0 (quilt).
  * debian/patches/05_gcc.diff:
    - Fix FTBFS with new gcc (Closes: #621990).
  * Drop obsolete Conflicts/Replaces fields.
  * Bump Standards-Version to 3.9.2.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 20 May 2011 00:39:34 +0200

wvstreams (4.6.1-1) unstable; urgency=low

  * QA upload.
  * New upstream release
  * debian/rules
    - enable "--with-dbus" (Closes: #551869)
  * debian/libwvstreams4.6-extra.install
    - add "debian/tmp/usr/lib/libwvdbus.so*" to inclde libwvdubs.so.4.6
  * debian/control
    - add "(= ${binary:Version})" to libwvstreams-dev package to fix 
     "weak-library-dev-dependency" 
    - add Build-Depends: libdbus-1-dev to correspond to "--with-dbus" in rules.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Thu, 05 Nov 2009 09:12:48 +0900

wvstreams (4.6-2) unstable; urgency=low

  * QA upload.
  * Conflicts/Replaces libuniconf4.4 for libuniconf4.6 binary package
    to allow clean upgrade from a previous version (Closes: #540320).
  * Bump Standards-Version to 3.8.3, no changes needed.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 25 Aug 2009 21:55:23 +0200

wvstreams (4.6-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    + Move old source changes to quilt.
    + Rename binaries for new upstream version.
  * 01_kfreebsd_ftbfs.diff - Fix FTBFS on kFreeBSD. (Closes: #537883).
    + Thanks to Petr Salinger for the fix!
  * Copy in config.{sub,guess} on configure, rm them on clean.
    + Add autotools-dev build-dep.
  * Clean up rules file.
  * Add Homepage.
  * Remove duplicate sections from debian/control.
  * Update debian/copyright.
  * Bump Standards Version to 3.8.2. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Wed, 29 Jul 2009 11:36:38 -0400

wvstreams (4.4.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix return type checking of X509_REQ_verify (Closes: #513539)

 -- Moritz Mühlenhoff <jmm@debian.org>  Sat, 07 Feb 2009 13:34:04 +0100

wvstreams (4.4.1-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
    + Remove Simon Law. (Closes: #487140).
  * Acknowledge NMUs. (Closes: #440245).
  * Remove duplicate build-dep on doxygen.
  * Update {Source-Version} to ${binary:Version}.
  * Make clean not ignore errors.
  * Add suggests on tk8.4 || wish to libwvstreams-dev package.
  * Add watch file.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.0.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 28 Jan 2009 21:37:43 -0500

wvstreams (4.4.1-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed dependency information LSB header in init.d script
    (closes: #470067)

 -- Peter Eisentraut <petere@debian.org>  Sat, 05 Apr 2008 14:47:52 +0200

wvstreams (4.4.1-0.1) unstable; urgency=low

  * NMU.
  * New upstream version.
  * Renamed library packages (ldbl transition). Closes: #430320.
  * Fix build failures with g++-4.3. Closes: #461671.
  * debian/control: Build against db4.6. Closes: #421948.
  * debian/control: Build-Conflict with valgrind. Closes: #387671.
  * debian/control: libuniconf4.4: Conflict with libuniconf4.3, libuniconf4.2.
  * Prevent WvModem from hanging if there's nothing on the other side.
  * Define %html-ext% to ".html" while building HTML documentation,
    since current docbook-dsssl appears to default to ".htm".
  * Use new /usr/share/sgml location for docbook.dsl.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jan 2008 01:01:46 +0100

wvstreams (4.2.2-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Apply brian m. carlson's FTBFS patch.  (Closes: Bug#387989).

 -- Robert S. Edmonds <edmonds@debian.org>  Thu, 30 Aug 2007 15:52:19 -0400

wvstreams (4.2.2-2.2) unstable; urgency=medium



=== debian/control ===
Source: wvstreams
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), autoconf, autotools-dev, libdb-dev, libpam0g-dev,
 libssl-dev, libxplc0.3.13-dev, libpopt-dev, zlib1g-dev, doxygen, libdbus-1-dev,
 graphviz
Standards-Version: 3.9.4

Package: libwvstreams4.6-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ network libraries for rapid application development
 WvStreams is a library suite that is comprised of several parts.  Included
 in the base package are:
  * WvString: a convenient and efficient C++ string class
  * WvList: an easy-to-use linked list
  * WvHashTable: an efficient and easy-to-use hash table
  * WvFile: a WvStream wrapper for handling files
  * WvStreamClone: a base class which makes writing your own WvStreams easy
  * WvLog: a log files handler 
  * UniIniGen: a tiny version of UniConf for simple configuration systems

Package: libwvstreams4.6-extras
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ network libraries for rapid application development
 WvStreams is a library suite that is comprised of several parts.  Included
 in the extras package are:
  * WvIPStreams: which includes WvTCPStream and WvUDPStream
  * WvCrypto streams: a REALLY easy way to add SSL support to applications 
 .
 These are the base classes used to build programs such as the ever popular 
 WvDial, TunnelVision, FastForward, KWvDial, retchmail, and many more yet 
 to come.  ;) 

Package: libuniconf4.6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ network libraries for rapid application development
 UniConf is a configuration system that can serve as the centrepiece among
 many other, existing configuration systems, such as:
  * GConf
  * KConfig
  * Windows registry
  * Mutt ;)
 .
 UniConf can also be accessed over the network, with authentication, allowing
 easy replication of configuration data via the UniReplicateGen.

Package: libwvstreams4.6-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libwvstreams-dev (= ${binary:Version})
Description: Documentation for WvStreams
 Contains all the documentation available to program with WvStreams.
  .
 The WvStreams library suite is a set of C++ network libraries that
 make it fast and simple to develop network applications.

#Package: libwvstreams4.6-qt
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: WvStreams and Qt Event Integration Library
# This package contains the library necessary to tie WvStreams and Qt program
# event loops together to enable WvStreams to act as the I/O and configuration
# back end for Qt and KDE.

Package: libwvstreams-dev
Architecture: any
Section: libdevel
Depends: libwvstreams4.6-base (= ${binary:Version}), libwvstreams4.6-extras (= ${binary:Version}), libuniconf4.6 (= ${binary:Version}), libxplc0.3.13-dev, ${misc:Depends}
Suggests: tk8.5 | wish
Provides: libwvstreams4.6-dev
Description: Development libraries and header files for libwvstreams4.6
 Contains the header files and static libraries for use in rapid 
 application development using the WvStreams set of libraries.  It 
 includes everything that is needed to compile a program that needs 
 WvStreams.
 .
 The WvStreams library suite is a set of C++ network libraries that
 make it fast and simple to develop network applications.

Package: uniconfd
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Server that manages UniConf elements
 UniConf is a configuration system that can serve as the centrepiece among
 many other, existing configuration systems.
 .
 UniConf can also be accessed over the network, with authentication, allowing
 easy replication of configuration data via the UniReplicateGen.
 .
 This package contains the server that accepts incoming TCP or Unix
 connections, and gets or sets UniConf elements at the request of a
 UniConf client.

Package: uniconf-tools
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools to interface with UniConf
 UniConf is a configuration system that can serve as the centrepiece among
 many other, existing configuration systems.
 .
 This package contains utilities that allow users to interface with 
 UniConf manually.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for WvStreams, using debhelper.
#
# Based on the sample debian/rules under GNU copyright 1997 to 1999 by
# Joey Hess, with revisions by Bill Allombert in 2001.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

version:=$(shell awk -F= '/SO_VERSION=/{print $$2}' $(CURDIR)/configure.ac)
base=libwvstreams$(version)
# This is used the wvstreams makefile to set the .so links
PKG=$(CURDIR)/debian/${base}
PKGDEV=$(CURDIR)/debian/libwvstreams-dev
PKGDOC=$(CURDIR)/debian/${base}-doc
DOCDIR=$(PKGDOC)/usr/share/doc/$(base)-doc

CFLAGS = -Wall $(shell dpkg-buildflags --get CFLAGS; dpkg-buildflags --get CPPFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -fno-tree-dce -fno-optimize-sibling-calls
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

MAKEFLAGS += -j1 # parallel build broken

config.status:
	dh_testdir
	./autogen.sh
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.guess config.guess
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--sysconfdir=/etc --localstatedir=/var \
		--disable-debug --disable-verbose \
		--with-openslp --with-dbus \
		--without-valgrind \
		--without-readline \

#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: config.status

	# Add here commands to compile the arch part of the package.
	$(MAKE) VERBOSE=1 CXXOPTS="$(CFLAGS) -fPIC -DPIC -fno-tree-dce -fno-optimize-sibling-calls" COPTS="$(CFLAGS) -fPIC -DPIC"
	$(MAKE) VERBOSE=1 CXXOPTS="$(CFLAGS) -fPIC -DPIC" COPTS="$(CFLAGS) -fPIC -DPIC" uniconf/tests/uni
	touch build-arch-stamp

build-indep: build-stamp-indep
build-stamp-indep: config.status

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	$(MAKE) doxygen
	@# Don't build the SGML documentation, as it is uncompilable.
	@#$(MAKE) -C Docs/sgmlmanual html ps pdf
	touch build-stamp-indep

clean:
	dh_testdir
	dh_testroot
	rm -f configure include/wvautoconf.h.in argp/configure
	rm -f build-stamp build-arch-stamp build-stamp-indep #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	[ ! -f Docs/sgmlmanual/Makefile ] || $(MAKE) -C Docs/sgmlmanual clean
	rm -rf Docs/doxy-html
	[ ! -f xplc/Makefile ] || $(MAKE) -C xplc distclean
	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f config.sub config.guess
	dh_clean

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#
	install -d $(DOCDIR)
	install -d $(DOCDIR)/html-api
	find Docs/doxy-html -type f -exec install -m644 '{}' $(DOCDIR)/html-api/ ';'

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s
	dh_installdirs -s

	# Add here commands to install the arch part of the package into
	# debian/tmp.
	#$(MAKE) install prefix=$(CURDIR)/debian/wvstreams/usr

	# Install library package

	# Temporary Fix to work around a bug in Debhelper
	$(MAKE) install-shared DESTDIR=$(CURDIR)/debian/tmp

	# Install development package
	$(MAKE) install-dev DESTDIR=$(PKGDEV)

	# Install lintian overrides
	install -m644 debian/libwvstreams$(version)-base.lintian-override debian/libwvstreams$(version)-base/usr/share/lintian/overrides/libwvstreams$(version)-base
	install -m644 debian/libwvstreams$(version)-extras.lintian-override debian/libwvstreams$(version)-extras/usr/share/lintian/overrides/libwvstreams$(version)-extras

	dh_install -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installinit
	dh_installman
	dh_link
	dh_strip --exclude=libwvtest.a
	dh_compress
	dh_fixperms
	#Fix other permissions
	chmod a-x $(CURDIR)/debian/libwvstreams-dev/usr/lib/valgrind/wvstreams.supp
	dh_makeshlibs -plibwvstreams$(version)-base \
		      -plibwvstreams$(version)-extras \
		      -plibuniconf$(version)
	dh_installdeb
	dh_shlibdeps -L libwvstreams$(version)-base \
		     -L libwvstreams$(version)-extras \
		     -L libuniconf$(version) \
		     -l debian/libwvstreams$(version)-base/usr/lib:debian/libwvstreams$(version)-extras/usr/lib:debian/libuniconf$(version)/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
downloadurlmangle=s%.*/([^/]*)/downloads/detail\?name=([^=&]*).*%http://$1.googlecode.com/files/$2%,filenamemangle=s/.*name=([^&]+).*/$1/ \
http://code.google.com/p/wvstreams/downloads/list?can=1 .*=wvstreams-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|zip).*
